binwrite_arg Struct Reference

## Data Fields

rb_io_t * | fptr
VALUE | str
const char * | ptr
long | length

## Detailed Description

Definition at line 931 of file io.c.

## Field Documentation

rb_io_t* binwrite_arg::fptr

Definition at line 932 of file io.c.

Referenced by io_binwrite(), io_binwrite_string(), io_write(), rb_io_bufread(), rb_io_bufwrite(), rb_io_eof(), rb_io_fileno(), rb_io_flush(), rb_io_inspect(), rb_io_pid(), rb_io_rewind(), rb_io_seek(), rb_io_set_pos(), rb_io_set_sync(), rb_io_sync(), and rb_io_tell().

long binwrite_arg::length

Definition at line 935 of file io.c.

Referenced by io_binwrite(), and io_binwrite_string().

const char* binwrite_arg::ptr

Definition at line 934 of file io.c.

Referenced by io_binwrite(), and io_binwrite_string().

VALUE binwrite_arg::str

Definition at line 933 of file io.c.

Referenced by do_writeconv(), and io_binwrite().

The documentation for this struct was generated from the following file:

- io.c